Bug 92130 - Basic IDE syntax highlighting does not recognise DoEvents
Summary: Basic IDE syntax highlighting does not recognise DoEvents
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
4.4.2.2 release
Hardware: All All
: low minor
Assignee: Marek Dolezel
URL:
Whiteboard: target:5.1.0 target:5.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-17 07:59 UTC by Paulo Martins
Modified: 2016-10-25 19:24 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
LOBASIC FUNCTIONS (35.38 KB, application/pdf)
2015-07-26 12:19 UTC, Marek Dolezel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Paulo Martins 2015-06-17 07:59:43 UTC
Open Basic IDE.

Type e.g. "if". It is coloured in blue, as a keyword of the language.

Type "DoEvents". It stays in green like an unrecognised token.

Exepected behaviour: "DoEvents" should be in blue.
Comment 1 Buovjaga 2015-06-19 17:00:25 UTC
Reproduced.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 437210d58f32177ef1829d704f7f4d2f1bbfbfdd
TinderBox: Win-x86@39, Branch:master, Time: 2015-06-18_07:21:56
Locale: fi-FI (fi_FI)
Comment 2 Commit Notification 2015-07-25 23:45:25 UTC
Marek Doležel committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=11f24bc2f032b31095663cb09ef948eee2c61f49

tdf#92130 fix DoEvents to be recognized as keyword

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Marek Dolezel 2015-07-26 12:19:27 UTC
Created attachment 117447 [details]
LOBASIC FUNCTIONS
Comment 4 Marek Dolezel 2015-07-26 12:40:04 UTC
I have tested my fix and is fine. However there are many functions that are not highlighted properly. (Btw i am unable to mark this as fixed)
Comment 5 Commit Notification 2015-07-28 01:09:22 UTC
Marek Doležel committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a45fbb192a51c6bdf5d273dfad2eab8c1f85ccc4&h=libreoffice-5-0

tdf#92130 fix DoEvents to be recognized as keyword

It will be available in 5.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Adolfo Jayme Barrientos 2015-07-28 01:17:28 UTC
I’ve checked and backported your fix, Marek. Thanks!